import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-bubbleSettings>
 * <e-bubbleSetting>
 * </e-bubbleSetting>
 * </e-bubbleSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
export declare class BubbleDirective extends ComplexBase<BubbleDirective> {
    private viewContainerRef;
    childColorMapping: any;
    tags: string[];
    /**
     * Animation duration
     * @default 0
     */
    animationDelay: any;
    /**
     * To configure bubble animation duration
     * @default 1000
     */
    animationDuration: any;
    /**
     * Configures the bubble border
     */
    border: any;
    /**
     * To configure bubble shape type
     * @default Circle
     */
    bubbleType: any;
    /**
     * To configure bubble colorMapping
     * @default []
     */
    colorMapping: any;
    /**
     * To configure bubble colorValuePath
     * @default null
     */
    colorValuePath: any;
    /**
     * Specifies the data source for bubble.
     * @default []
     */
    dataSource: any;
    /**
     * To configure bubble fill color
     * @default ''
     */
    fill: any;
    /**
     * To configure the highlight settings of the maps.
     */
    highlightSettings: any;
    /**
     * To configure bubble maxRadius
     * @default 20
     */
    maxRadius: any;
    /**
     * To configure bubble minRadius
     * @default 10
     */
    minRadius: any;
    /**
     * To configure bubble opacity
     * @default 1
     */
    opacity: any;
    /**
     * To configure the selection settings of the maps.
     */
    selectionSettings: any;
    /**
     * To configure the tooltip settings of the bubble .
     */
    tooltipSettings: any;
    /**
     * To configure bubble valuePath
     * @default null
     */
    valuePath: any;
    /**
     * Toggle the visibility of bubble
     * @default false
     */
    visible: any;
    tooltipSettings_template: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Bubble Array Directive
 * @private
 */
export declare class BubblesDirective extends ArrayBase<BubblesDirective> {
    constructor();
}
