var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, ViewContainerRef, ContentChildren, ContentChild } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
import { Template } from '@syncfusion/ej2-ng-base';
import { ColorMappingsDirective } from './colormapping.directive';
var input = ['animationDelay', 'animationDuration', 'border', 'bubbleType', 'colorMapping', 'colorValuePath', 'dataSource', 'fill', 'highlightSettings', 'maxRadius', 'minRadius', 'opacity', 'selectionSettings', 'tooltipSettings', 'valuePath', 'visible'];
var outputs = ['animationDelay', 'animationDuration', 'border', 'bubbleType', 'colorMapping', 'colorValuePath', 'dataSource', 'fill', 'highlightSettings', 'maxRadius', 'minRadius', 'opacity', 'selectionSettings', 'tooltipSettings', 'valuePath', 'visible'];
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-bubbleSettings>
 * <e-bubbleSetting>
 * </e-bubbleSetting>
 * </e-bubbleSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
var BubbleDirective = /** @class */ (function (_super) {
    __extends(BubbleDirective, _super);
    function BubbleDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['colorMapping'];
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
        //this.registerEvents(outputs);
    }
    BubbleDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-bubbleSettings>e-bubbleSetting',
                    inputs: input,
                    queries: {
                        childColorMapping: new ContentChild(ColorMappingsDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    BubbleDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    BubbleDirective.propDecorators = {
        'tooltipSettings_template': [{ type: ContentChild, args: ['tooltipSettingsTemplate',] },],
    };
    __decorate([
        Template(),
        __metadata("design:type", Object)
    ], BubbleDirective.prototype, "tooltipSettings_template", void 0);
    return BubbleDirective;
}(ComplexBase));
export { BubbleDirective };
/**
 * Bubble Array Directive
 * @private
 */
var BubblesDirective = /** @class */ (function (_super) {
    __extends(BubblesDirective, _super);
    function BubblesDirective() {
        return _super.call(this, 'bubblesettings') || this;
    }
    BubblesDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layer>e-bubbleSettings',
                    queries: {
                        children: new ContentChildren(BubbleDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    BubblesDirective.ctorParameters = function () { return []; };
    return BubblesDirective;
}(ArrayBase));
export { BubblesDirective };
//# sourceMappingURL=bubblesettings.directive.js.map