import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * ColorMapping Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-bubbleSettings>
 * <e-colorMappings>
 * <e-colorMapping>
 * </e-colorMapping>
 * </e-colorMappings>
 * </e-bubbleSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
export declare class ColorMappingDirective extends ComplexBase<ColorMappingDirective> {
    private viewContainerRef;
    /**
     * To configure color
     * @default null
     */
    color: any;
    /**
     * To configure from
     * @aspdefaultvalueignore
     * @default null
     */
    from: any;
    /**
     * To configure labels
     * @default null
     */
    label: any;
    /**
     * To configure to
     * @aspdefaultvalueignore
     * @default null
     */
    to: any;
    /**
     * To configure value
     * @default null
     */
    value: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * ColorMapping Array Directive
 * @private
 */
export declare class ColorMappingsDirective extends ArrayBase<ColorMappingsDirective> {
    constructor();
}
