import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer></e-layer>
 * </e-layers>
 * ```
 */
export declare class LayerDirective extends ComplexBase<LayerDirective> {
    private viewContainerRef;
    childMarkerSettings: any;
    childBubbleSettings: any;
    childNavigationLineSettings: any;
    tags: string[];
    /**
     * Specifies the type for the layer.
     * @default Layer
     */
    type: any;
    /**
     * Specifies the animation duration for the layer.
     * @default 0
     */
    animationDuration: any;
    /**
     * Specifies the type for the bing map.
     * @default Aerial
     */
    bingMapType: any;
    /**
     * To configure the bubble settings of the maps.
     */
    bubbleSettings: any;
    /**
     * To configure the datalabel settings of the maps.
     */
    dataLabelSettings: any;
    /**
     * Specifies the data source for the layer.
     * @default []
     */
    dataSource: any;
    /**
     * Specifies the geometry type
     * @default Geographic
     */
    geometryType: any;
    /**
     * To configure the highlight settings of the maps.
     */
    highlightSettings: any;
    /**
     * Specifies the key for the layer.
     * @default ''
     */
    key: any;
    /**
     * Specifies the layerType for the layer.
     * @default Geometry
     */
    layerType: any;
    /**
     * To configure the marker settings.
     */
    markerSettings: any;
    /**
     * navigationLineSetting
     */
    navigationLineSettings: any;
    /**
     * Specifies the query to select particular data from the shape data.
     * This property is applicable only when the DataSource is `ej.DataManager`.
     * @default null
     */
    query: any;
    /**
     * To configure the selection settings of the maps.
     */
    selectionSettings: any;
    /**
     * Specifies the shape data for the layer.
     * @default null
     */
    shapeData: any;
    /**
     * Specifies the shapeDataPath for the layer.
     * @default 'name'
     */
    shapeDataPath: any;
    /**
     * Specifies the shapePropertyPath for the layer.
     * @default 'name'
     */
    shapePropertyPath: any;
    /**
     * Specifies the shape properties
     */
    shapeSettings: any;
    /**
     * To configure the tooltip settings of the maps layer.
     */
    tooltipSettings: any;
    /**
     * Specifies the urlTemplate for the layer.
     * @default 'http://a.tile.openstreetmap.org/level/tileX/tileY.png'
     */
    urlTemplate: any;
    /**
     * Toggle the visibility of the layers.
     * @default true
     */
    visible: any;
    tooltipSettings_template: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Layer Array Directive
 * @private
 */
export declare class LayersDirective extends ArrayBase<LayersDirective> {
    constructor();
}
