var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, ViewContainerRef, ContentChildren, ContentChild } from '@angular/core';
import { ComplexBase, ArrayBase, setValue } from '@syncfusion/ej2-ng-base';
import { Template } from '@syncfusion/ej2-ng-base';
import { MarkersDirective } from './markersettings.directive';
import { BubblesDirective } from './bubblesettings.directive';
import { NavigationLinesDirective } from './navigationlinesettings.directive';
var input = ['animationDuration', 'bingMapType', 'bubbleSettings', 'dataLabelSettings', 'dataSource', 'geometryType', 'highlightSettings', 'key', 'layerType', 'markerSettings', 'navigationLineSettings', 'query', 'selectionSettings', 'shapeData', 'shapeDataPath', 'shapePropertyPath', 'shapeSettings', 'tooltipSettings', 'type', 'urlTemplate', 'visible'];
var outputs = ['animationDuration', 'bingMapType', 'bubbleSettings', 'dataLabelSettings', 'dataSource', 'geometryType', 'highlightSettings', 'key', 'layerType', 'markerSettings', 'navigationLineSettings', 'query', 'selectionSettings', 'shapeData', 'shapeDataPath', 'shapePropertyPath', 'shapeSettings', 'tooltipSettings', 'type', 'urlTemplate', 'visible'];
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer></e-layer>
 * </e-layers>
 * ```
 */
var LayerDirective = /** @class */ (function (_super) {
    __extends(LayerDirective, _super);
    function LayerDirective(viewContainerRef) {
        var _this = _super.call(this) || this;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['markerSettings', 'bubbleSettings', 'navigationLineSettings'];
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
        //this.registerEvents(outputs);
    }
    LayerDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'e-layers>e-layer',
                    inputs: input,
                    queries: {
                        childMarkerSettings: new ContentChild(MarkersDirective),
                        childBubbleSettings: new ContentChild(BubblesDirective),
                        childNavigationLineSettings: new ContentChild(NavigationLinesDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    LayerDirective.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    LayerDirective.propDecorators = {
        'tooltipSettings_template': [{ type: ContentChild, args: ['tooltipSettingsTemplate',] },],
    };
    __decorate([
        Template(),
        __metadata("design:type", Object)
    ], LayerDirective.prototype, "tooltipSettings_template", void 0);
    return LayerDirective;
}(ComplexBase));
export { LayerDirective };
/**
 * Layer Array Directive
 * @private
 */
var LayersDirective = /** @class */ (function (_super) {
    __extends(LayersDirective, _super);
    function LayersDirective() {
        return _super.call(this, 'layers') || this;
    }
    LayersDirective.decorators = [
        { type: Directive, args: [{
                    selector: 'ej-maps>e-layers',
                    queries: {
                        children: new ContentChildren(LayerDirective)
                    },
                },] },
    ];
    /** @nocollapse */
    LayersDirective.ctorParameters = function () { return []; };
    return LayersDirective;
}(ArrayBase));
export { LayersDirective };
//# sourceMappingURL=layers.directive.js.map