var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ElementRef, ViewContainerRef, ChangeDetectionStrategy, Renderer2, ContentChild, Optional } from '@angular/core';
import { ComponentBase, applyMixins, setValue } from '@syncfusion/ej2-ng-base';
import { Maps, Bubble, Legend, Marker, Highlight, Selection, MapsTooltip, Zoom, DataLabel, NavigationLine, Annotations } from '@syncfusion/ej2-maps';
import { LayersDirective } from './layers.directive';
import { AnnotationsDirective } from './annotations.directive';
export var inputs = ['annotations', 'background', 'baseLayerIndex', 'border', 'centerPosition', 'description', 'enablePersistence', 'enableRtl', 'format', 'height', 'layers', 'legendSettings', 'locale', 'mapsArea', 'margin', 'projectionType', 'tabIndex', 'theme', 'titleSettings', 'useGroupingSeparator', 'width', 'zoomSettings'];
export var outputs = ['animationComplete', 'annotationRendering', 'beforePrint', 'bubbleClick', 'bubbleMouseMove', 'bubbleRendering', 'click', 'dataLabelRendering', 'doubleClick', 'itemHighlight', 'itemSelection', 'layerRendering', 'load', 'loaded', 'markerClick', 'markerMouseMove', 'markerRendering', 'resize', 'rightClick', 'shapeHighlight', 'shapeRendering', 'shapeSelected', 'tooltipRender'];
export var twoWays = [''];
/**
 * Maps Component
 * ```html
 * <ej-maps></ej-maps>
 * ```
 */
var MapsComponent = /** @class */ (function (_super) {
    __extends(MapsComponent, _super);
    function MapsComponent(ngEle, srenderer, viewContainerRef, bubble, legend, marker, highlight, selection, mapsTooltip, zoom, dataLabel, navigationLine, annotations) {
        var _this = _super.call(this) || this;
        _this.ngEle = ngEle;
        _this.srenderer = srenderer;
        _this.viewContainerRef = viewContainerRef;
        _this.tags = ['layers', 'annotations'];
        _this.element = _this.ngEle.nativeElement;
        _this.injectedModules = _this.injectedModules || [];
        for (var i = 3; i < arguments.length; i++) {
            var injectedObj = arguments[i];
            if (injectedObj) {
                _this.injectedModules.push(injectedObj);
            }
        }
        _this.registerEvents(outputs);
        _this.addTwoWay.call(_this, twoWays);
        setValue('currentInstance', _this, _this.viewContainerRef);
        return _this;
    }
    MapsComponent.prototype.ngOnInit = function () {
    };
    MapsComponent.prototype.ngAfterViewInit = function () {
    };
    MapsComponent.prototype.ngOnDestroy = function () {
    };
    MapsComponent.prototype.ngAfterContentChecked = function () {
    };
    MapsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ejs-maps',
                    inputs: inputs,
                    outputs: outputs,
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    queries: {
                        childLayers: new ContentChild(LayersDirective),
                        childAnnotations: new ContentChild(AnnotationsDirective)
                    }
                },] },
    ];
    /** @nocollapse */
    MapsComponent.ctorParameters = function () { return [
        { type: ElementRef, },
        { type: Renderer2, },
        { type: ViewContainerRef, },
        { type: Bubble, decorators: [{ type: Optional },] },
        { type: Legend, decorators: [{ type: Optional },] },
        { type: Marker, decorators: [{ type: Optional },] },
        { type: Highlight, decorators: [{ type: Optional },] },
        { type: Selection, decorators: [{ type: Optional },] },
        { type: MapsTooltip, decorators: [{ type: Optional },] },
        { type: Zoom, decorators: [{ type: Optional },] },
        { type: DataLabel, decorators: [{ type: Optional },] },
        { type: NavigationLine, decorators: [{ type: Optional },] },
        { type: Annotations, decorators: [{ type: Optional },] },
    ]; };
    return MapsComponent;
}(Maps));
export { MapsComponent };
applyMixins(MapsComponent, [ComponentBase]);
export var BubbleService = { provide: Bubble, useValue: Bubble };
export var LegendService = { provide: Legend, useValue: Legend };
export var MarkerService = { provide: Marker, useValue: Marker };
export var HighlightService = { provide: Highlight, useValue: Highlight };
export var SelectionService = { provide: Selection, useValue: Selection };
export var MapsTooltipService = { provide: MapsTooltip, useValue: MapsTooltip };
export var ZoomService = { provide: Zoom, useValue: Zoom };
export var DataLabelService = { provide: DataLabel, useValue: DataLabel };
export var NavigationLineService = { provide: NavigationLine, useValue: NavigationLine };
export var AnnotationsService = { provide: Annotations, useValue: Annotations };
//# sourceMappingURL=maps.component.js.map