import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-ng-base';
/**
 * Layer Directive
 * ```html
 * <e-layers>
 * <e-layer>
 * <e-markerSettings>
 * <e-markerSetting>
 * </e-markerSetting>
 * </e-markerSettings>
 * </e-layer>
 * </e-layers>
 * ```
 */
export declare class MarkerDirective extends ComplexBase<MarkerDirective> {
    private viewContainerRef;
    /**
     * Animation delay time
     * @default 0
     */
    animationDelay: any;
    /**
     * Animation duration time
     * @default 1000
     */
    animationDuration: any;
    /**
     * Options for customizing the color and width of the marker.
     */
    border: any;
    /**
     * Options for customizing the dash array options
     */
    dashArray: any;
    /**
     * To configure the dataSource of the marker.
     * @default []
     */
    dataSource: any;
    /**
     * To customize the fill color of the marker.
     * @default '#FF471A'
     */
    fill: any;
    /**
     * To customize the height of the marker.
     * @default 1
     */
    height: any;
    /**
     * To configure the highlight settings of the maps.
     */
    highlightSettings: any;
    /**
     * To provide the image url for rendering marker image
     */
    imageUrl: any;
    /**
     * To provide the dataSource field to display legend text
     * @default ''
     */
    legendText: any;
    /**
     * To move the marker by setting offset values
     */
    offset: any;
    /**
     * To customize the opacity of the marker.
     * @default 1
     */
    opacity: any;
    /**
     * To configure the selection settings of the maps.
     */
    selectionSettings: any;
    /**
     * To customize the shape of the marker.
     * @default Balloon
     */
    shape: any;
    /**
     * To configure the tooltip settings of the maps marker.
     */
    tooltipSettings: any;
    /**
     * Toggle the visibility of the marker.
     * @default false
     */
    visible: any;
    /**
     * To customize the width of the marker.
     * @default 1
     */
    width: any;
    /**
     * To customize the template of the marker.
     * @default null
     */
    template: any;
    tooltipSettings_template: any;
    constructor(viewContainerRef: ViewContainerRef);
}
/**
 * Marker Array Directive
 * @private
 */
export declare class MarkersDirective extends ArrayBase<MarkersDirective> {
    constructor();
}
